﻿#(define is-letter? (string=? (ly:get-option 'paper-size ) "letter"))
#(set-global-staff-size (if is-letter? (- mystaffsize 1) (* mystaffsize )))

\paper{
%size
	#(set-default-paper-size "a4" )
%margin
%	two-sided = ##t
	inner-margin = 15 \mm
	outer-margin = 15 \mm
	top-margin = 10 \mm
	bottom-margin = 10 \mm
%	left-margin = 15 \mm
%	right-margin = 15 \mm
%linewidth
%	line-width = #(- paper-width (+ inner-margin outer-margin))
%	line-width = #(- paper-width (+ left-margin right-margin))
%global spacing
before-title-spacing = #'((space . 8) (padding . 0) (minimum-distance . 8)) 

%fonts
	#(define fonts
		(make-pango-font-tree "Georgia"
		"Trebuchet"
		"Courier"
		(/ mystaffsize 20)))
%footer
	oddFooterMarkup = \markup {
  		\fill-line { \tiny {
  					{"published using lilypond"}
					\line {\fromproperty #'header:composer " - " \fromproperty #'header:title }
					\epsfile #X #10 #"by-sa.eps"} }}
}%paper
	
%global Layout Params
\layout{
	\context { \Score
%	bass figures settings
%	\override BassFigure #'font-size = #+1
	\override BassFigure #'font-name = #'"Georgia"
 	alignBassFigureAccidentals = ##t
	figuredBassAlterationDirection = #RIGHT
	figuredBassPlusDirection = #RIGHT
	ignoreFiguredBassRest = ##f
	}
	\context { \Staff }
	\context { \Lyrics }
	\context { \FiguredBass }
}
